@import './../../constants/constants.scss';

section.description-area {
  display: flex;
  flex-direction: column;
  margin-top: 21px;

  .description-controls {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-start;

    @media only screen and (max-width: 700px) {
      flex-direction: column;
    }

    div.image-container {
      display: flex;
      flex-grow: 0.5;
      justify-content: center;
      margin: 0 20px;
    }

    div.film {
      max-width: 500px;
      word-wrap: break-word;
      @media only screen and (max-width: 500px) {
        margin: 0 20px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        max-width: 300px;
      }

      div {
        display: flex;
        flex-direction: row;
        align-items: baseline;
        @media only screen and (max-width: 500px) {
          width: 100%;

        }

        p {
          min-width: 100px;
        }

        .film_name {
          font-size: 20px;
          font-weight: bold;
        }

        .film_country,
        .film_genre {
          font-size: 20px;
        }
      }

      .film_description {
        max-width: 580px;
        min-width: 580px;
        line-height: 140%;
      }
    }
  }

  .commentaries {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;

    .commentaries-title {
      height: 91px;
      display: flex;
      align-items: center;
      font-size: 20px;
      font-weight: bold;
    }

    .commentaries-container {
      display: flex;
      flex-direction: row;
      justify-content: center;
      align-items: flex-start;
      width: 100%;
      margin-bottom: 16px;

      .commentaries-item {
        display: flex;
        flex-direction: column;
        width: 100%;
        max-width: 748px;
        padding: 16px;
        background: #F2F2F2;
        border-radius: 8px;

        .author {
          font-weight: bold;
          margin-bottom: 8px;
        }
      }

      .add-commentary {
        min-height: 110px;
      }

      .add-commentary,
      textarea {
        background: rgba(229, 38, 30, 0.15);
        border: none;
        height: 100%;
      }

      textarea {
        color: $active-red;
        background: transparent;
        resize: none;
        outline: none;
        overflow-y: auto;
      }

      textarea:-moz-placeholder {
        color: $active-red;
      }

      textarea::-webkit-input-placeholder {
        color: $active-red;
      }

      div.button-container {
        width: 16px;
        height: 16px;
        margin-left: 16px;

        @media only screen and (max-width: 950px) {
          flex-direction: column;
          margin: 10px 10px;
          height: auto;
        }

      }
    }

    .add {
      @media only screen and (max-width: 950px) {
        flex-direction: column;
      }
    }

  }

}
